Bug 1260280 - DNF configuration item "clean_requirements_on_remove" does not default to "True"
DNF configuration item "clean_requirements_on_remove" does not default to "True"
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
22
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Honza Silhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-05 09:01 EDT by Jason H.
Modified: 2015-09-23 00:12 EDT (History)
7 users (show)

See Also:
Fixed In Version: 1.1.1-2.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-23 00:12:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason H. 2015-09-05 09:01:48 EDT
Description of problem: In the man 5 dnf.conf page, it says the "clean_requirements_on_remove" option defaults to "True".  If I remove this option in dnf.conf, DNF no longer removes unnecessary requirements.  Please either correct the man page to say this defaults to "false", or update the dnf script to actually default to "true"

Version-Release number of selected component (if applicable): dnf-1.1.0-2.fc22.noarch

How reproducible: Always

Steps to Reproduce:
1. Install a package that will add additional packages, such as "qemu"
2. Run "dnf remove qemu", and notice all requirements just installed are also removed. (You can click "No" to not actually remove).
3. Edit /etc/dnf/dnf.conf and comment out "clean_requirements_on_true" line.
4. Run "dnf remove qemu" again, and now only qemu is removed, not all the dependencies.


Actual results:
Removes only specified package.

Expected results:
Removes specified package, and any unnecessary dependencies.

Additional info:
Comment 2 Fedora Update System 2015-09-08 08:39:53 EDT
dnf-1.1.1-2.fc23 dnf-plugins-core-0.1.11-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14743
Comment 3 Fedora Update System 2015-09-08 08:40:20 EDT
dnf-1.1.1-2.fc23 dnf-plugins-core-0.1.11-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14743
Comment 4 Fedora Update System 2015-09-08 13:52:12 EDT
dnf-1.1.1-2.fc23, dnf-plugins-core-0.1.11-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update dnf dnf-plugins-core'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14743
Comment 5 Fedora Update System 2015-09-23 00:11:55 EDT
dnf-1.1.1-2.fc23, dnf-plugins-core-0.1.11-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.